@charset "utf-8";

/* Dialog style */
dialog {
  border: 0 none transparent;
  border-radius: 6px;
  box-shadow: 0 3px 12px 0 rgba(0,0,0,0.3);
  box-sizing: border-box;
  min-width: 320px;
  max-width: 480px;
  padding: 1.5em 2em 1em;
}
dialog p {
  display: flex;
  flex-direction: column;
  font-size: 0.8rem;
  justify-content: center;
  margin: 0 0 1.2em;
  min-height: 3em;
  text-align: start;
}
dialog form {
  margin: 0 -0.5em;
  text-align: end;
}
dialog #prompt-wrapper {
  margin-bottom: 8px;
  text-align: center;
}
dialog #prompt-wrapper input {
  font-size: 0.75rem;
  width: 90%;
}
dialog #controls {
  display: flex;
  flex-direction: row-reverse;
}
dialog button {
  background-color: #efefef;
  border: 0 none transparent;
  border-radius: 4px;
  color: 666;
  font-size: 0.75rem;
  line-height: 1;
  margin: 2px 4px;
  min-width: 50px;
  outline: none;
  padding: 0.5em;
}
dialog button:focus {
  background-color: #ccc;
  color: #333;
}
dialog button:hover {
  background-color: #06c;
  color: white;
}
dialog::backdrop {
  background-color: rgba(0,0,0,0.4);
}
dialog.shade::backdrop {
  -webkit-backdrop-filter: blur(12px);
  backdrop-filter: blur(12px);
}
